Bug 1179087 - Holidays not counted in the total time
Summary: Holidays not counted in the total time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-WWW-OrangeHRM-Client
Version: 22
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-06 07:49 UTC by Petr Šplíchal
Modified: 2016-06-01 01:46 UTC (History)
3 users (show)

Fixed In Version: perl-WWW-OrangeHRM-Client-0.10.0-1.fc24 perl-WWW-OrangeHRM-Client-0.10.0-1.fc23 perl-WWW-OrangeHRM-Client-0.10.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-09 20:50:37 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2015-01-06 07:49:02 UTC
Description of problem:
It seems that holidays are not counted into the total time. For
example in the last December there were 3 days of holidays. In
the final report 24 hours are missing from the total time.

Version-Release number of selected component (if applicable):
perl-WWW-OrangeHRM-Client-0.9.0-1

Steps to Reproduce:
orangehrm --year 2014 --month 12

Actual results:
Total leave: 56:00
Total time entered: 105:00
Total time: 161:00
Total time expected: 184:00

Expected results:
Total leave: 56:00
Total time entered: 105:00
Total time: 185:00
Total time expected: 184:00

Comment 1 Petr Pisar 2015-01-06 07:52:06 UTC
I know. The problem is the rule differs in different countries. If you provide me rules for all countries where the tool is used, I can implement it.

Comment 2 Jaroslav Reznik 2015-03-03 17:06:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Petr Pisar 2015-11-30 14:24:01 UTC
The web server exports holiday hours accounted as working hours now. 0.10.0 version uses the data to correct the total time value.

Comment 4 Fedora Update System 2015-11-30 14:36:28 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c2d3ff7e61

Comment 5 Fedora Update System 2015-11-30 14:36:38 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8f4b9668b9

Comment 6 Fedora Update System 2015-11-30 14:36:50 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e67543d216

Comment 7 Fedora Update System 2015-12-01 02:22:14 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-WWW-OrangeHRM-Client'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c2d3ff7e61

Comment 8 Fedora Update System 2015-12-01 03:18:47 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-WWW-OrangeHRM-Client'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e67543d216

Comment 9 Fedora Update System 2015-12-02 16:52:29 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-WWW-OrangeHRM-Client'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8f4b9668b9

Comment 10 Fedora Update System 2015-12-09 20:50:34 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-12-11 03:20:56 UTC
perl-WWW-OrangeHRM-Client-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.